Package org.eclipse.emf.cdo.server.db.mapping

## Class ColumnTypeModifier

- java.lang.Object
- - org.eclipse.emf.cdo.server.db.mapping.ColumnTypeModifier

-     public abstract class ColumnTypeModifier
      extends java.lang.Object

  Can modify the column type of a `type mapping` that is created by the `type mapping registry`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ColumnTypeModifier.Factory` | Creates `ColumnTypeModifier` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ColumnTypeModifier` | `NOOP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColumnTypeModifier()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract org.eclipse.net4j.db.DBType` | `modify​(ITypeMapping.Provider provider, IMappingStrategy mappingStrategy, EStructuralFeature feature, org.eclipse.net4j.db.DBType dbType)` | Can modify the column type of a `type mapping` that is created by the `type mapping registry`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOOP

          public static final ColumnTypeModifier NOOP

  - ### Constructor Detail

    - #### ColumnTypeModifier

          public ColumnTypeModifier()

  - ### Method Detail

    - #### modify

          public abstract org.eclipse.net4j.db.DBType modify​(ITypeMapping.Provider provider,
                                                             IMappingStrategy mappingStrategy,
                                                             EStructuralFeature feature,
                                                             org.eclipse.net4j.db.DBType dbType)

      Can modify the column type of a `type mapping` that is created by the `type mapping registry`.